C#ATIA

↑タイトル詐欺 主にFusion360API 偶にCATIA V5 VBA(絶賛ネタ切れ中)

VBA

アクティブシートの最初のビューをコピペし形状を削除

しろくろさんがかなりヒントを書いてくれたので、 自分なりに作ってみました。”CATIA.HSOSynchronized使った方が早い” と書きていましたが、 試した所若干遅かったです。ごめんなさい。 'vba アクティブシートの最初のビューをコピペし形状を削除 ' winAPI #…

プロダクトからCATPartを生成2

こちらの続きです。 プロダクトからCATPartを生成 - C#ATIACATPartを生成しつつ、Igesでエクスポートします。 ・・・Stepのライセンス無いのでIgesですが、同じでしょう。 'vba プロダクトからCATPartを生成しつつIgesでエクスポート 'この辺を参考にしまし…

プロダクトからCATPartを生成1

勘違い。 過去にやったことがあったのは、CATPartをBody毎にした CATProductにする逆の事でした。 1つのPartからBody毎にしたProductを作り出す - C#ATIAで、本題の "プロダクトからCATPartを生成" ですが、結果的に "CATIA.StartCommand" を使うしか方法が…

選択したエッジをスケッチに投影・分離・固定

CATIAです。表題の "選択したエッジをスケッチに投影・分離・固定" を行うマクロです。 ツールバーからの呼び出しでも機能しました。"分離"については機能を探しましたが見つからない為、CATIA.StartCommand を使用しています。(その為、日本語環境でのみで…

肉マシマシ

食べ物のお話じゃなくて、CATIAです。 左側の物を加工しようと思った際、右の半透明の形状の材料を 用意するとします。 (ケミウッドで、直方体を積み重ねた形状です・・接着剤で) 材料を用意するサイズとしては、半透明の形状で良いのですが、 実際にCAMで…

図面のパラメータをファイルに書き出す

CATIAです。"図面のパラメータをファイルに書き出す" と言うのは、ここの事かな? と解釈しました。 こんな感じで作成しました。 'vba 図面のパラメータをファイルに書き出し Option Explicit Sub CATMain() '書き出し先のファイルパス Dim path As String p…

PartからDrawを作成する

CATIA V5です。 ちょっと勘違いしたのですが、作ってしまったので 残しておく事にします。アクティブなPartからDrawを作るだけです。 'vba using-'KCL0.12' Option Explicit Sub CATMain() 'ドキュメントのチェック If Not KCL.CanExecute("PartDocument") Then Exit …

スケッチ作業中か?判断する

CATIA V5で現在スケッチ作業中か? を判断します。 'vba スケッチ作業中か判断する Option Explicit Sub CATMain() Dim msg As String msg = "現在はスケッチ作業中" If isSketchWB Then msg = msg & "です!!" Else msg = msg & "ではありません" End If Msg…

座標系に依存した点の作成

CATIAです。マクロで普通に点を作成した場合は、絶対座標の位置に点が作成されますが、 特定の座標系に依存する位置での点の作成を行うサンプルです。 Option Explicit Sub CATMain() ' 座標系の選択 Dim msg As String msg = "使用する座標系を選択 : ESCキー…

空のテキストを全て削除する

久々にCATIAです。Drawのシート内に空のテキストを全て削除するマクロです。 'vba 'Drawの空のテキストを削除 Option Explicit Sub CATMain() 'ドキュメント Dim doc As DrawingDocument Set doc = CATIA.ActiveDocument '空のテキスト取得 Dim nullTxts As …

対称部品の図面を描く1

業務で対称部品の図面を描くことになったのですが・・・面倒。 何か楽な方法ないものか? と思いLineのオープンチャットで ご相談しました。 のでご報告。 あぁ、久々のCATIAなお話です。念の為、今まで対称部品の図面を書いたことはあったのですが、 ・2D時…

DMUスペースアナリシスのセッション3

こちらの続きです。 DMUスペースアナリシスのセッション2 - C#ATIA CATIAのマクロです。気が付くのが遅かったのですが、grabcadこちらで問い合わせを 頂いてました。(コメント欄です) Free CAD Designs, Files & 3D Models | The GrabCAD Community Library 一か月程放置…

コピペ "結果として" のボディを作る

タイトルが言葉足らず過ぎますが、久々にCATIAです。マクロ実行後、ESCキーが押されるまで、クリックしたボディを ”結果として” でコピペし、そのボディが子になるようにアセンブルします。言葉じゃ分かりにくいです。 左の状態でボディ2をクリックしたら、…

catvbaファイルが削除される

久々にCATIAです。 ツールバーに登録しているマクロを実行しようとしたらエラーが・・・。 catvbaファイルが見つからないらしい。ファイルを置いているフォルダを確認すると、特定の客先の仕事用の 1個だけcatvbaファイルが消えています。何故?警告を発する…

バルーンの文字の先頭に文字を追加したい

久々にCATIAです。 そう、また面倒になったので。左の様にバルーンで数字だけだと、使う度に数字がカウントアップ してくれるのですが、右の様に数字意外だとカウントアップしないので 困っちゃいます。取りあえず数字だけでバルーンを作りまくり、最後にマ…

表題欄の細々した項目をパラメータで変更する3

こちらの続きです。 表題欄の細々した項目をパラメータで変更する2 - C#ATIA表題欄用のパラメータが必要なのですが、DrawのパラメータってPartと違って コピペ出来ないのですね。知りませんでした。こんな感じのものを作りたいんですよ。 毎回作るのは面倒な…

表題欄の細々した項目をパラメータで変更する2

こちらの続きです。 表題欄の細々した項目をパラメータで変更する1 - C#ATIA前回の最後に "ディテールシートにテーブル作り~" と書きました。 パラメータじゃなくて、テーブルを利用して を試すために こんなマクロを作りました。 'vba Option Explicit Sub…

表題欄の細々した項目をパラメータで変更する1

CATIAの図面枠って、通常は背景図で作ってますよね? 僕もそうなんですけど。図面枠だけじゃなくて表題欄も背景図に入ってますよね? 最初からCATIAで図面を書いていたのであれば、表題欄はテーブルで 上手に作るのが正攻法のような気がするのですが、 他の2…

ちいさなプライド

こちらの続きです。 画像にバルーンを付ける - C#ATIA無事バルーンを200個程作りました・・・。プロットしてみると悲劇が。 かなり最初の方でバルーン付け忘れの寸法を発見しました。忘れているところに最後のバルーン付ければ良いのですが、 周囲のバルーン…

図面に斜線を追記する

タイトル異なるのですが、こちらの続きです。 Factory2Dが許してくれない2 (許してもらいました) - C#ATIA加工のお仕事を行う際、現場でちょっとした図面が必要なのですが、 類似品だと1から図面を書くのが面倒です。 その為、リンクの差し替え等で済ませて…

Factory2Dが許してくれない2 (許してもらいました)

こちらの続きです。 Factory2Dが許してくれない1 - C#ATIAすいません、嘘を書いていました。線を描きたい場合は、該当するビューをアクティブにする 必要がありました・・・。drawLineTest関数は、この一行を書き足すだけ大丈夫でした。 Private Sub drawLin…

Factory2Dが許してくれない1

最近、モチベーションがダダ下がり。何とかしたい。久々にCATIAのマクロ作っている最中です。 ・・・知らなかった事に遭遇。誰かに相談したい気持ちが山々。結構敷居の高いDrawのマクロのお話で、こんなDrawファイルでテストしてます。 まぁ何とも味わいの薄…

形状セット内のサーフェスと線類を別の色にする

サーフェスと線類が混在し選択された状態で別々の色を付けたい と 昨年末辺りでご相談頂いていたのですが、遅くなりました。CATIAの場合は色を変更する為には一度選択状態にする必要がありますが、 一辺にサーフェスと線類を別々に色付けする事は出来ません…

全てのバルーンの位置リンクを削除する

久々にCATIAのマクロです。業務で作ったDrawで大量にバルーンを作ったのですが、コピペしながら作った際 うっかり大量に位置リンクを付けてしまう と言う凡ミス・・・。それはそれで "もう、いいや これで" と思ったものの、ビュー自体を他のシートで 使いま…

注記のテキストプロパティ3

こちらの続きです。 注記のテキストプロパティ2 - C#ATIA コメント欄の改善です。打開策が見つからず素直に検索したところ、こちらがHitしました。 COE : Forums : FT&A Change 3D Annotation Size and Add Frames in Macro なるほど・・・。 Sub CATMain() …

注記のテキストプロパティ2

こちらの続きです。 注記のテキストプロパティ1 - C#ATIADrawingTextPropertiesのプロパティは、恐らく読み書き可能なプロパティだろう と思い、素直に代入するようにしたところ上手く行きました。 (HelpにSetFontSizeで記載されていましたが、それを使いま…

注記のテキストプロパティ1

こちらでコメント頂きました。 注記内の指定文字を削除する - C#ATIA注記(アノテーション)の文字のフォントサイズ・フォント名等の変更を ご希望との内容です。しばらくCATIAのマクロを行っていなかった上、ちょっと時間が無い為 チラッと試した範囲で記載…

ビューを新規に作成するだけ

え~、Drawのアクティブなシートにビューを新規に作成するだけのマクロです。 たったそれだけです・・・。 'vba addMemoView_ver0.0.1 using-'KCL0.1.0' by Kantoku Option Explicit Private Const VIEWNAME = "Memo" Sub CATMain() ' ドキュメントのチェック If Not …

Draw内のTextをサイズ毎に色を付ける4

こちらの続きです。 Draw内のTextをサイズ毎に色を付ける3 - C#ATIA動画のサンプルコードをgithubにupしました。 GitHub - kantoku-code/CATIA_V5_drawText_color_change: CATIA_V5 drawingText_color_change sampleあまりに使わない気がするので、コードを…

ProductなMinimumBoxを作成する

こちらで”MinimumBoxのProduct版を”とのコメントを頂きました。 今更ながら、ボディからMinimumBoxを作成する(Sketch&Pad) - C#ATIA ナカナカ時間が取れなかったのですが、そこそこのものが出来たので こちらにUpしております。 GitHub - kantoku-code/CATIA…